## gnome-shell-extension-runcat 18

=== Makefile ===
#!/usr/bin/make -f

.PHONY : build clean install uninstall
.DEFAULT_GOAL := help

UUID = "runcat@kolesnikov.se"
LOCAL = $(HOME)/.local/share/gnome-shell/extensions

build: clean
	mkdir -p dist build
	cp -r src/* build/
	glib-compile-schemas build/schemas
	cp LICENSE build
	(cd build; zip -qr ../dist/$(UUID).zip .)

clean:
	rm -rf build dist @types

install: uninstall build
	gnome-extensions install dist/$(UUID).zip --force
	echo "You need to restart GNOME Shell to apply changes"

uninstall:
	gnome-extensions uninstall $(UUID) | true

help:
	@echo -n "Available commands: "
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

=== debian/changelog ===
gnome-shell-extension-runcat (18-2) unstable; urgency=medium

  * Team upload
  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 03 Aug 2022 14:33:56 -0400

gnome-shell-extension-runcat (18-1) unstable; urgency=medium

  * Initial release (closes: #1015269)

 -- Shannon Brady <duckydreams@gmail.com>  Mon, 18 Jul 2022 17:57:51 +0100

=== debian/control ===
Source: gnome-shell-extension-runcat
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Shannon Brady <duckydreams@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libglib2.0-bin,
Standards-Version: 4.6.1
Homepage: https://github.com/win0err/gnome-runcat
Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat
Rules-Requires-Root: no

Package: gnome-shell-extension-runcat
Architecture: all
Depends: ${misc:Depends},
         gnome-shell (>= 3.38),
         gnome-shell (<< 43~),
Description: desktop icon for showing CPU usage with cats
 RunCat provides a key-frame animation to the GNOME Shell top bar.
 Animation speed changes depending on CPU usage.

=== debian/watch ===
version=4
https://github.com/win0err/gnome-runcat/releases .*?(\d\S*)\.tar\.gz

## gnome-shell-extension-runcat 21

=== Makefile ===
#!/usr/bin/make -f

.PHONY : build clean install uninstall open-prefs spawn-gnome-shell translations
.DEFAULT_GOAL := build

UUID = runcat@kolesnikov.se
DIST_ARCHIVE = $(UUID).shell-extension.zip
LOCAL = $(HOME)/.local/share/gnome-shell/extensions

all_sources = $(shell find src -type f)

js_sources = $(shell cd src && find . -maxdepth 1 -type f -name '*.js')

translations_sources = src/panelMenuButton.js src/prefs.js
translations_sources += $(shell find src/resources/ui -maxdepth 1 -type f -name '*.ui')
translations = $(shell find src/po -maxdepth 1 -type f -name '*.po')


build: dist/$(DIST_ARCHIVE)

dist:
	mkdir -p dist/

dist/$(DIST_ARCHIVE): dist $(all_sources)
	gnome-extensions pack -f src/ \
		$(addprefix --extra-source=, $(js_sources)) \
		--extra-source=./dataProviders \
		--extra-source=./resources \
		--extra-source=../LICENSE \
		--podir=./po \
		-o dist/


src/po/%.po: src/po/messages.pot
	msgmerge --update $@ src/po/messages.pot

src/po/messages.pot: $(translations_sources)
	xgettext \
		--package-name gnome-runcat-extension \
		--package-version 20 \
		--from-code=UTF-8 \
		--output=src/po/messages.pot \
		$^

translations: src/po/messages.pot $(translations)

clean:
	rm -rf dist

install: uninstall build
	gnome-extensions install dist/$(DIST_ARCHIVE) --force
	gnome-extensions enable $(UUID) || true
	echo "You need to restart GNOME Shell to apply changes"

uninstall:
	gnome-extensions uninstall $(UUID) || true


open-prefs:
	gnome-extensions prefs $(UUID)

spawn-gnome-shell:
	env MUTTER_DEBUG_DUMMY_MODE_SPECS=1600x800 \
	 	MUTTER_DEBUG_DUMMY_MONITOR_SCALES=1 \
		dbus-run-session -- gnome-shell --nested --wayland


help:
	@echo -n "Available commands: "
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

=== debian/changelog ===
gnome-shell-extension-runcat (21-1) unstable; urgency=medium

  * New upstream release
  * Fixes Broken debian/watch file.

 -- Shannon Brady <duckydreams@gmail.com>  Tue, 15 Nov 2022 12:54:13 -0500

gnome-shell-extension-runcat (19-1) unstable; urgency=medium

  * New upstream release
  * Adds support for GNOME 43

 -- Shannon Brady <duckydreams@gmail.com>  Thu, 25 Aug 2022 14:41:25 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 3.38),
-         gnome-shell (<< 43~),
+         gnome-shell (<< 44~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --strict --targetdir=src/schemas src/schemas

override_dh_auto_install:

=== debian/watch ===

version=4
opts="\
dversionmangle=s/\+dfsg.*$//,\
filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/runcat-$1\.tar\.gz/,\
repack,repacksuffix=+dfsg,\
" \
https://github.com/win0err/gnome-runcat/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz

## gnome-shell-extension-runcat 23

=== debian/changelog ===
gnome-shell-extension-runcat (23-1) unstable; urgency=medium

  * New upstream release
  * Update supported gnome-shell versions in debian/control
  * Update debain/watch

 -- Shannon Brady <duckydreams@gmail.com>  Wed, 28 Jun 2023 14:34:36 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Package: gnome-shell-extension-runcat
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 3.38),
-         gnome-shell (<< 44~),
+         gnome-shell (>= 42),
+         gnome-shell (<< 45~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.

## gnome-shell-extension-runcat 27

=== debian/changelog ===
gnome-shell-extension-runcat (27-3) unstable; urgency=medium

  * Team upload
  * Add patch to mark compatible with GNOME Shell 47 (Closes: #1079255)
  * Bump maximum GNOME Shell to 47
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Sep 2024 19:15:04 -0400

gnome-shell-extension-runcat (27-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 19:46:32 -0400

gnome-shell-extension-runcat (27-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump maximum GNOME Shell to 46 to match metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 10:55:03 -0400

gnome-shell-extension-runcat (26-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum GNOME Shell to 45 to match metadata.json (Closes: #1052106)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 14:48:51 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Shannon Brady <duckydreams@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-bin,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/win0err/gnome-runcat
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat
@@ -14,8 +14,8 @@
 Package: gnome-shell-extension-runcat
 Architecture: all
 Depends: ${misc:Depends},
-         gnome-shell (>= 42),
-         gnome-shell (<< 45~),
+         gnome-shell (>= 45),
+         gnome-shell (<< 48~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.

## gnome-shell-extension-runcat 28

=== debian/changelog ===
gnome-shell-extension-runcat (28-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove GNOME Shell 47 patch: applied in new release
  * Add patch to mark compatible with GNOME Shell 48 (Closes: #1096053)
  * Bump maximum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Feb 2025 16:08:40 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          gnome-shell (>= 45),
-         gnome-shell (<< 48~),
+         gnome-shell (<< 49~),
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.

## gnome-shell-extension-runcat 29

=== debian/changelog ===
gnome-shell-extension-runcat (29-1) unstable; urgency=medium

  * New upstream release
  * Remove GNOME 48 patch: applied in new release
  * Automatically update supported GNOME Shell versions by parsing metadata.json

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Apr 2025 08:59:47 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Shannon Brady <duckydreams@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               libglib2.0-bin,
+Build-Depends-Indep: libglib2.0-bin,
+                     python3
 Standards-Version: 4.7.0
 Homepage: https://github.com/win0err/gnome-runcat
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
@@ -13,9 +14,9 @@
 
 Package: gnome-shell-extension-runcat
 Architecture: all
-Depends: ${misc:Depends},
-         gnome-shell (>= 45),
-         gnome-shell (<< 49~),
+Depends: gnome-shell (<< ${gnome:MaximumVersion}~),
+         gnome-shell (>= ${gnome:MinimumVersion}~),
+         ${misc:Depends},
 Description: desktop icon for showing CPU usage with cats
  RunCat provides a key-frame animation to the GNOME Shell top bar.
  Animation speed changes depending on CPU usage.

## gnome-shell-extension-runcat 30

=== Makefile ===
#!/usr/bin/make -f

.PHONY : build clean install uninstall open-prefs spawn-gnome-shell translations compile
.DEFAULT_GOAL := build

UUID = runcat@kolesnikov.se
DIST_ARCHIVE = $(UUID).shell-extension.zip
LOCAL = $(HOME)/.local/share/gnome-shell/extensions

all_sources = $(shell find src -type f)

typescript_sources = $(shell find src -type f -name '*.ts' -not -name '*.d.ts')
typescript_compiled = $(typescript_sources:src/%.ts=.build/%.js)

translations_ts_sources = src/indicator.ts src/prefs.ts
translations_ui_sources = $(wildcard src/resources/ui/*.ui)
translations = $(wildcard po/*.po)

schema = src/schemas/org.gnome.shell.extensions.runcat.gschema.xml
stylesheet = src/stylesheet.css

build: dist/$(DIST_ARCHIVE)

dist:
	mkdir -p dist/

.build/%.js: $(typescript_sources)
	npm run build

dist/$(DIST_ARCHIVE): dist compile po/messages.pot $(translations) $(all_sources) $(typescript_compiled)
	gnome-extensions pack --force \
		$(addprefix --extra-source=, $(wildcard .build/*.js)) \
		$(addprefix --extra-source=, $(shell find .build/ -mindepth 1 -type d)) \
		--extra-source=./$(stylesheet) \
		--extra-source=./src/metadata.json \
		--extra-source=./src/resources \
		--extra-source=./LICENSE \
		--podir=./po \
		--schema=./$(schema) \
		-o dist/


po/%.po: po/messages.pot
	touch $@ && msgmerge --update $@ $^

po/messages.pot: $(translations_ts_sources) $(translations_ui_sources)
	xgettext \
		--language=JavaScript \
		--package-name=gnome-runcat-extension \
		--package-version=$$(jq .version src/metadata.json) \
		--from-code=UTF-8 \
		--output=$@ \
		$(translations_ts_sources)
	xgettext \
		--join-existing \
		--package-name=gnome-runcat-extension \
		--package-version=$$(jq .version src/metadata.json) \
		--from-code=UTF-8 \
		--output=$@ \
		$(translations_ui_sources)

translations: po/messages.pot $(translations)

compile: $(typescript_compiled)

clean:
	rm -rf dist .build

install: uninstall build
	gnome-extensions install dist/$(DIST_ARCHIVE) --force
	gnome-extensions enable $(UUID) || true
	@echo "You need to restart GNOME Shell to apply changes"

uninstall:
	gnome-extensions uninstall $(UUID) || true


open-prefs:
	gnome-extensions prefs $(UUID)

spawn-gnome-shell:
	env MUTTER_DEBUG_DUMMY_MODE_SPECS=1600x800 \
	 	MUTTER_DEBUG_DUMMY_MONITOR_SCALES=1 \
		dbus-run-session -- gnome-shell --nested --wayland


help:
	@echo -n "Available commands: "
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

=== debian/changelog ===
gnome-shell-extension-runcat (30-1) unstable; urgency=medium

  * New upstream release
  * Convert debian/watch to Version: 5
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Sep 2025 15:05:26 -0400

## gnome-shell-extension-runcat 30%2Breally29

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,8 @@
 	glib-compile-schemas --strict --targetdir=src/schemas src/schemas
 
 override_dh_auto_install:
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('src/metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('src/metadata.json', 'rt'))['shell-version']))")

## gnome-shell-extension-runcat 30+really29

=== Makefile ===
#!/usr/bin/make -f

.PHONY : build clean install uninstall open-prefs spawn-gnome-shell translations
.DEFAULT_GOAL := build

UUID = runcat@kolesnikov.se
DIST_ARCHIVE = $(UUID).shell-extension.zip
LOCAL = $(HOME)/.local/share/gnome-shell/extensions

all_sources = $(shell find src -type f)

js_sources = $(shell cd src && find . -maxdepth 1 -type f -name '*.js')

translations_sources = src/indicator.js src/prefs.js
translations_sources += $(shell find src/resources/ui -maxdepth 1 -type f -name '*.ui')
translations = $(shell find po -maxdepth 1 -type f -name '*.po')


build: dist/$(DIST_ARCHIVE)

dist:
	mkdir -p dist/

dist/$(DIST_ARCHIVE): dist po/messages.pot $(translations) $(all_sources)
	gnome-extensions pack -f src/ \
		$(addprefix --extra-source=, $(js_sources)) \
		--extra-source=./dataProviders \
		--extra-source=./resources \
		--extra-source=../LICENSE \
		--podir=../po \
		-o dist/


po/%.po: po/messages.pot
	touch $@ && msgmerge --update $@ $^

po/messages.pot: $(translations_sources)
	xgettext \
		--package-name=gnome-runcat-extension \
		--package-version=$$(jq .version src/metadata.json) \
		--from-code=UTF-8 \
		--output=$@ \
		$^

translations: po/messages.pot $(translations)

clean:
	rm -rf dist

install: uninstall build
	gnome-extensions install dist/$(DIST_ARCHIVE) --force
	gnome-extensions enable $(UUID) || true
	@echo "You need to restart GNOME Shell to apply changes"

uninstall:
	gnome-extensions uninstall $(UUID) || true


open-prefs:
	gnome-extensions prefs $(UUID)

spawn-gnome-shell:
	env MUTTER_DEBUG_DUMMY_MODE_SPECS=1600x800 \
	 	MUTTER_DEBUG_DUMMY_MONITOR_SCALES=1 \
		dbus-run-session -- gnome-shell --nested --wayland


help:
	@echo -n "Available commands: "
	@$(MAKE) -pRrq -f $(lastword $(MAKEFILE_LIST)) : 2>/dev/null | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' | sort | egrep -v -e '^[^[:alnum:]]' -e '^$@$$' | xargs

=== debian/changelog ===
gnome-shell-extension-runcat (30+really29-1) unstable; urgency=medium

  * Team upload
  * Revert upstream source to 29. v30 switches to TypeScript
    and we aren't yet ready for GNOME TypeScript. See #1100886.
  * Cherry-pick patch to mark compatible with GNOME Shell 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 10 Oct 2025 17:12:44 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: libglib2.0-bin,
                      python3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/win0err/gnome-runcat
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-runcat
-Rules-Requires-Root: no
 
 Package: gnome-shell-extension-runcat
 Architecture: all

=== debian/watch ===
Version: 5
Template: GitHub
Owner: win0err
Project: gnome-runcat
